Subject: RE: [Forces-protocol] Protocol Scenarios: topic 4b

From: "Khosravi, Hormuzd M" <[email-masked]>
Date: Wed, 28 Apr 2004 14:36:51 -0700

Jamal,

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Jamal Hadi Salim
> 
>     Association Establishment Phase
>                     FE PL                  CE PL
>                      |                       |                       
>                      |   Join Req            |  
>                      |---------------------->|  
>                      |                       |  
>                      |   Join Resp           | 
>                      |<----------------------|  
>                      |                       |  
>                      |    Capability Req     |  
>                      |<----------------------|  
>                      |                       |  
>                      |     Capability Resp   |  
>                      |---------------------->|  
>                      |                       |  
>                      |   Topo QUERY Req      |  
>                      |<----------------------|  
>                      |                       |  
>                      |   Topo QUERY Resp     |  
>                      |---------------------->|  
>                      |                       |  
>                      |        UP             |    
>                      |---------------------->|  
>                      |                       |  
>                      |    ACTIVATE           |  
>                      |<----------------------|  
>                      |                       | 

Other than Join, the rest of those messages in my opinion should be 
available even post-establishment.
Example i should be able to activate/deactivate at any time or
periodically ask for topology etc. Additionaly, direction of FE->CE
could happen at any point as an event IMO; example a new LFB added to FE
it may wanna tell the CE about it instead of waiting to be asked by the 
CE.

[HK] Sure, I agree. Events in the FE->CE direction are covered by Async
Event messages (below)

> 
>     Steady State communication phase
>                    FE PL                   CE PL 
>                      |                       |  
>                      |    Heart Beat         |  
>                      |<----------------------|  
>                      |                       |  
>                      |   Heart Beat          | 
>                      |---------------------->|  
>                      |                       |  
>                      |   Configure Req       |  
>                      |<----------------------|  
>                      |                       |  
>                      |   Configure Resp      |  
>                      |---------------------->|  
>                      |                       |  
>                      |   Event Register Req  |  
>                      |<----------------------|  
>                      |                       |  
>                      |   Event Register Resp |  
>                      |---------------------->|
>                      |                       |  
>                      | Aysnc Event Notice    |  
>                      |---------------------->|  
>                      |                       |  
>                      |   Query Req           | 
>                      |<----------------------|  
>                      |                       |  
>                      |    Query Resp         | 
>                      |---------------------->|  
>                      |                       |  
>                      |Control Packet Redirect|
>                      |---------------------->|  
>                      |                       |  
> 
> Hope these are self-explanatory, let me know if there are any
> questions/comments,

These do look fine. 
Could you post details on all these messages as you see them with a
warning that please stay off FACT? ;-> I know its a lot of work, but you
have been doing fine so far ;->

[HK] Ok, I'll try to do this, once I get doubts of Weiming, other
comments on Protocol Messages clarified.

I am going to be a little overwhelmed next two days with customer visit
so latency may be introduced in my responses. I will try my best to
respond within 1-2 hours. 

[HK] Thanks for your prompt responses !

Regards
Hormuzd

_______________________________________________
Forces-protocol mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/forces-protocol